// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   irenderer.h
 * Author: gleseach
 *
 * Created on 28 novembre 2016, 11:26
 */

#ifndef IRENDERER_H
#define IRENDERER_H

#include "vendors/_glm.h"

namespace OGL
{
    class Context;
    class ProgramBindHelper;
}

class Renderable2;
struct DataRenderingParam;

class IRenderer2
{
public:
    IRenderer2() = default;
    virtual ~IRenderer2();

    virtual void create(OGL::Context* ctx) = 0;
    virtual void bind(OGL::Context* ctx, const glm::mat4& mvp, DataRenderingParam* param) = 0;
    virtual void draw(OGL::Context* ctx, Renderable2* object) = 0;

//    virtual void drawPicking(OGL::Context* ctx, const glm::mat4& mvp, Renderable2* object) = 0;
};

#endif /* IRENDERER_H */

