// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   draw_mode.h
 * Author: gleseach
 *
 * Created on 27 mai 2016, 16:17
 */

#ifndef DRAW_MODE_OGL3_H
#define DRAW_MODE_OGL3_H

#include "3d/draw_mode.h"

namespace OGL3
{

class DrawModeGL3 final: public OGL::DrawMode
{
public:
    void draw() override;
    void drawInstanced() override;
    void drawTransformedFeedback() override;
    void drawSubset(unsigned int offset, unsigned int count) override;
};

} // namespace OGL

#endif /* DRAW_MODE_H */

