// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   enum_translation.h
 * Author: gleseach
 *
 * Created on 11 décembre 2017, 15:51
 */

#ifndef ENUM_TRANSLATION_H
#define ENUM_TRANSLATION_H

////////////////////////////////////////////////////////////////////////////////
// TO USE ONLY IN OGL3 sources files !
////////////////////////////////////////////////////////////////////////////////

#include "3d/OGL3/opengl.h"
#include "3d/opengl_enum.h"

namespace OGL3
{

GLenum primitiveToGLType(OGL::Primitive primitive);
GLenum dataTypeToGLDataType(DataType type);
GLenum bufferTargetEnumToGLenum(OGL::BufferType type);
GLenum bufferAccessEnumToGLenum(OGL::BufferAccess access);
GLenum bufferUsageEnumToGLenum(OGL::BufferUsage type);

}

#endif /* ENUM_TRANSLATION_H */
