// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   renderbuffer.h
 * Author: gleseach
 *
 * Created on 9 février 2016, 10:35
 */

#ifndef RENDERBUFFER_OGL3_H
#define RENDERBUFFER_OGL3_H

#include "3d/renderbuffer.h"

namespace OGL3
{
    
class RenderBufferGL3 final: public OGL::RenderBuffer
{
public:
    RenderBufferGL3(OGL::RenderBufferType type);
    ~RenderBufferGL3() override;
    
    void create(OGL::Context* context) override;
    void destroy() override;
    void bind() const override;
    void unbind() const override;
    
    void allocate(unsigned int width, unsigned int height) override;
    void resize(unsigned int width, unsigned int height) override;
};

}

#endif /* RENDERBUFFER_OGL3_H */

