// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   vertex_array_object.h
 * Author: gleseach
 *
 * Created on 4 septembre 2015, 10:34
 */

#ifndef VERTEX_ARRAY_OBJECT_OGL3_H
#define	VERTEX_ARRAY_OBJECT_OGL3_H

#include "3d/vertex_array_object.h"

namespace OGL3
{

class VertexArrayObjectGL3 final: public OGL::VertexArrayObject
{
public:
    VertexArrayObjectGL3();
    ~VertexArrayObjectGL3() override;

    void create(OGL::Context* context) override;
    void destroy() override;

    void bind() const override;
    void unbind() const override;
};

} // namespace OGL3

#endif	/* VERTEX_ARRAY_OBJECT_OGL3_H */

