// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   vertex_attrib_array.h
 * Author: gleseach
 *
 * Created on 4 septembre 2015, 10:57
 */

#ifndef VERTEX_ATTRIB_ARRAY_OGL3_H
#define	VERTEX_ATTRIB_ARRAY_OGL3_H

#include "3d/vertex_attrib_array.h"

namespace OGL
{
    class Buffer;
}

namespace OGL3
{

class VertexAttribArrayGL3 final: public OGL::VertexAttribArray
{
public:
    VertexAttribArrayGL3(unsigned int id, unsigned int component_count, OGL::Buffer * buffer, DataType dataType = DataType::float32, unsigned int stride = 0, unsigned int offset = 0);
    ~VertexAttribArrayGL3() override;

    void create(OGL::Context* context) override;
    void destroy() override;

    void bind() const override;
    void unbind() const override;
};

} // namespace OGL3

#endif	/* VERTEX_ATTRIB_ARRAY_OGL3_H */
