// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef VERTEX_ATTRIB_DIVISOR_GL3_H
#define VERTEX_ATTRIB_DIVISOR_GL3_H

#include "3d/vertex_attrib_divisor.h"

namespace OGL3
{

class VertexAttribDivisorGL3 : public OGL::VertexAttribDivisor
{
public:
    VertexAttribDivisorGL3(unsigned int index, unsigned int divisor);
    ~VertexAttribDivisorGL3() override;

    // Unused
    void create(OGL::Context* context) override;
    // Unused
    void destroy() override;
    // Used
    void bind() const override;
    // Unused
    void unbind() const override;
};

} // namespace OGL

#endif // VERTEX_ATTRIB_DIVISOR_GL3_H
