// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef ANCHOR_CONTROLLER_H
#define ANCHOR_CONTROLLER_H

//#include "core/types.h"
#include "3d/app_enum.h"

class AnchorPoolNode;

class AnchorController
{
    public:
        AnchorController();
        virtual ~AnchorController();

        virtual unsigned int getAnchorCount() const = 0;
        virtual glm::vec3 getAnchorPos(AnchorType type, unsigned int vertexId) const = 0;

        // Anchor event
        virtual void move(AnchorType type, unsigned int vertexId, const glm::vec3& pos) = 0;
        virtual void move(AnchorType type, unsigned int vertexId) = 0;
        virtual void pressed(AnchorType type, unsigned int id) = 0;
        virtual void remove(AnchorType type, unsigned int id) = 0;

	    virtual void setAnchorPool(AnchorPoolNode* val) { _anchorPool = val; }

    protected:
	    AnchorPoolNode* _anchorPool;
};

#endif
