// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef BILLBOARD_POOL_H
#define BILLBOARD_POOL_H

#include "3d/renderable.h"
#include "3d/screen_quad_textured_instanced.h"

namespace OGL
{
    class Buffer;
    class Program;
    class Texture;
}

struct DataRenderingParam;

class BillboardPool : public Renderable2
{
public:
    BillboardPool();
    ~BillboardPool() override;

    void init(OGL::Context* ctx);
    void update(const std::vector<glm::vec3>& positions, const std::vector<glm::vec3>& directions);
    void draw(OGL::Context* ctx, const glm::mat4& mvp) override;
    void clear();

private:
    ScreenQuadTexturedInstanced _sq;
};

#endif // BILLBOARD_POOL_H
