// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   color_renderer.h
 * Author: gleseach
 *
 * Created on 29 décembre 2016, 19:03
 */

#ifndef COLOR_RENDERER_H
#define COLOR_RENDERER_H

#include "3d/3d_irenderer.h"

class ColorRenderer : public IRenderer2
{
public:
    ColorRenderer();
    virtual ~ColorRenderer() override;

    virtual void bind(OGL::Context* ctx, const glm::mat4& mvp, DataRenderingParam* param) override;

protected:
    void createProgram(OGL::Context* ctx, const std::string& vertexShader, const std::string& fragmentShader);

protected:
    OGL::ProgramBindHelper* _program;
    int _mvpLoc;
    int _colorLoc;
};

#endif /* COLOR_RENDERER_H */

