// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#pragma once

#include "3d/data_set.h"

struct Tile;

class DataSetTiled : public DataSet
{
public:
    DataSetTiled(const SEAScope::RenderableId& rId);
    ~DataSetTiled() override;

    bool compute(int maxTextureSize) override;
    void generateGPUData(OGL::Context* ctx) override;
    void draw(OGL::Context* ctx, const glm::mat4& mvp) override;
    void drawPicking(OGL::Context* ctx, const glm::mat4& mvp) override;

    void setFilterMode(OGL::FilterMode filterMode) override;

private:
    std::vector<Tile*> _tiles;
};
