// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   default_value.h
 * Author: gleseach
 *
 * Created on 18 mai 2016, 12:54
 */

#ifndef DEFAULT_VALUE_H
#define DEFAULT_VALUE_H

#define GLOBE_RADIUS 1.f
#define FRUSTUM_NEAR_PLANE 0.0001f
#define FRUSTUM_FAR_PLANE 20.f
#define CAMERA_PERSPECTIVE_FOVY 45.f

#define PLANAR_DEFAULT_ZOOM_SCALE 1
#define PLANAR_MIN_ZOOM_SCALE 0
#define PLANAR_MAX_ZOOM_SCALE 10

#define GLOBE_MIN_ZOOM_DISTANCE (GLOBE_RADIUS + FRUSTUM_NEAR_PLANE)  // 1.0001f
#define GLOBE_MAX_ZOOM_DISTANCE 9.f
#define GLOBE_ZOOM_IN_SPEED 0.2f
#define GLOBE_ZOOM_OUT_SPEED 0.25f
#define GLOBE_ZOOM_DEFAULT 3.f
#define GLOBE_EQUATOR_LENGTH 40076000.0 // 40 076km
#define GLOBE_RADIUS_EQUATOR_KM 6371.0

namespace SEAScope
{
	namespace DefaultValue
	{
		constexpr float anchorEdgeSize = 32.f; // size in pixel in viewport space
	}
}

#endif /* DEFAULT_VALUE_H */
