// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef GCP_UTILS_H
#define GCP_UTILS_H

class DataSet;
class Image;

namespace OGL
{
	class Context;
	class Texture;
}

void computeGcps(OGL::Context* ctx, DataSet* dataSet, OGL::Texture*& gcps, OGL::Texture*& gcpNorthEast, OGL::Texture*& gcpsAspectRatioTex, glm::vec2& uvMin, glm::vec2& uvRange);
void computeGcps(OGL::Context* ctx, DataSet* dataSet, Image& gcpData, OGL::Texture*& gcps, glm::vec2& uvMin, glm::vec2& uvRange);

void computeGcpPerPixel(DataSet* dataSet, Image& img);
void computeGcpAspectRatio(DataSet* dataSet, Image& img);
void computeUVNorth(Image& gcps, Image& gcpsDirNorthEast, DataSet* dataSet);

#endif // GCP_UTILS_H
