// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   globe_picking.h
 * Author: gleseach
 *
 * Created on 15 février 2017, 17:55
 */

#ifndef GLOBE_PICKING_H
#define GLOBE_PICKING_H

#include "3d/ipicking_renderer.h"

namespace OGL
{
    class ProgramBindHelper;
}

class GlobePicking : public IPickingRenderer
{
public:
    GlobePicking();
    ~GlobePicking() override;

    void create(OGL::Context* ctx) override;
    void bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam*) override;
    void draw(OGL::Context* ctx, Renderable2* object) override;

protected:
    OGL::ProgramBindHelper* _program;
    int _mvpLoc;
    int _eyePositionLoc;
    int _modelLoc;
    int _projectionLoc;
    int _viewLoc;
    int _invModelLoc;
};

#endif /* GLOBE_PICKING_H */

