// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   globe_renderer_factory.h
 * Author: gleseach
 *
 * Created on 29 septembre 2017, 11:29
 */

#ifndef GLOBE_RENDERER_FACTORY_H
#define GLOBE_RENDERER_FACTORY_H

#include "3d/renderer_factory.h"

class GlobeRendererFactory : public RendererFactory
{
public:
    GlobeRendererFactory();
    ~GlobeRendererFactory() override;

    IRenderer2* createRenderer(OGL::Context* ctx, RendererType renderer, FillType fill) override;
    IPickingRenderer* createPickingRenderer(OGL::Context* ctx, PickingRendererType renderer) override;
    IRawRenderer* createRawRenderer(OGL::Context* ctx, RawRendererType renderer) override;
};

#endif /* GLOBE_RENDERER_FACTORY_H */
