// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   GLObject.h
 * Author: gleseach
 *
 * Created on 24 aoÃ»t 2015, 10:00
 */

#ifndef GLOBJECT_H
#define	GLOBJECT_H

namespace OGL
{

class Context;

class Object
{
protected:
    unsigned int handle;

public:
    Object() : handle(0)
    {
    }

	Object(OGL::Object&& other) noexcept
    {
        this->handle = other.handle;
        other.handle = 0;
    }

    virtual ~Object();

    virtual void create(OGL::Context* context) = 0;
    virtual void destroy() = 0;

    inline unsigned int getHandle() const
    {
        return handle;
    }
};

} // namespace OGL

#endif	/* GLOBJECT_H */

