// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   ipicking_renderer.h
 * Author: gleseach
 *
 * Created on 24 janvier 2017, 10:59
 */

#ifndef IPICKING_RENDERER_H
#define IPICKING_RENDERER_H

#include "vendors/_glm.h"

namespace OGL
{
    class Context;
}

struct DataRenderingParam;
class Renderable2;

class IPickingRenderer
{
public:
    IPickingRenderer() = default;
    virtual ~IPickingRenderer();

    virtual void create(OGL::Context* ctx) = 0;
    virtual void bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam*) = 0;
    virtual void draw(OGL::Context* ctx, Renderable2* object) = 0;
};

#endif /* IPICKING_RENDERER_H */
