// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef MATH_VALUES_H
#define MATH_VALUES_H

namespace SEAScope
{
	namespace Math
	{
		// PI value in float
		constexpr float fpi = 3.1415926535897932384626433832795028841971693993751058209749445923078164062f;
		// PI / 2
		constexpr float fpi2 = fpi / 2.f;
		// 2 * PI
		constexpr float f2pi = 2.f * fpi;
		// sqrt(2.f)
		constexpr float fsqrt2 = 1.41421356237309504880f;
	} // namespace math
} // namespace SEAScope

#endif // MATH_VALUES_H
