// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   null_picking.h
 * Author: gleseach
 *
 * Created on 24 janvier 2017, 16:55
 */

#ifndef NULL_PICKING_H
#define NULL_PICKING_H

#include "3d/picking_impl.h"

class NullPicking final: public IPickingRenderer
{
public:
    NullPicking();
    ~NullPicking() override;

    void create(OGL::Context* ctx) override;
    void bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam*) override;
    void draw(OGL::Context* ctx, Renderable2* object) override;
};

#endif /* NULL_PICKING_H */

