// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/*
 * File:   picking_impl.h
 * Author: gleseach
 *
 * Created on 24 janvier 2017, 11:18
 */

#ifndef PICKING_IMPL_H
#define PICKING_IMPL_H

#include "3d/ipicking_renderer.h"

namespace OGL
{
    class Program;
}

class PickingImpl : public IPickingRenderer
{
public:
    PickingImpl();
    virtual ~PickingImpl() override;

    virtual void create(OGL::Context* ctx) override;
    virtual void bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam*) override;
    virtual void draw(OGL::Context* ctx, Renderable2* object) override;

protected:
    void createProgram(OGL::Context* ctx, const char* vertexShader, const char* fragmentShader);

protected:
    OGL::Program* _program;
    int _mvp;
    int _color;
};

#endif /* PICKING_IMPL_H */
