// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   pipeline_parameters.h
 * Author: gleseach
 *
 * Created on 2 janvier 2017, 18:46
 */

#ifndef PIPELINE_PARAMETERS_H
#define PIPELINE_PARAMETERS_H

#include "3d/plane.h"

struct PipelineParameters
{
    glm::ivec2 viewport;
    glm::mat4 model;
    glm::mat4 inverseModel;
    glm::mat4 view;
    glm::mat4 inverseView;
    glm::mat4 projection;
    glm::mat4 inverseProjection;
    glm::mat4 viewProjection;
    glm::mat4 inverseViewProjection;
    glm::vec3 eyePosition;

    Plane clipPlaneHalfGlobe;
    bool useClipPlane;
    Plane clipPlane;
};

#endif /* PIPELINE_PARAMETERS_H */

