// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef POINT_H
#define POINT_H

#include "3d/shape.h"
#include "vendors/_glm.h"

class Point: public OGL::Shape
{
    public:
        Point();
        virtual ~Point() override;

        OGL::Shape* clone() const override;

        void setPosition(const glm::vec3&);
        const glm::vec3& getPosition() const;

    protected:
        glm::vec3 _position;
};

#endif
