// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/*
 * File:   trajectory_color.h
 * Author: gleseach
 *
 * Created on 14 décembre 2016, 15:23
 */

#ifndef POLYLINE_CUSTOM_COLOR_H
#define POLYLINE_CUSTOM_COLOR_H

#include "3d/color_renderer.h"

class PolylineCustomColor : public ColorRenderer
{
public:
	PolylineCustomColor();
	~PolylineCustomColor() override;

	void create(OGL::Context* ctx) override;
	void bind(OGL::Context* ctx, const glm::mat4& mvp, DataRenderingParam* param) override;
	void draw(OGL::Context* ctx, Renderable2* object) override;

private:
	int _thicknessLoc;
	int _viewportLoc;
	DataRenderingParam* _param;
};

#endif /* POLYLINE_CUSTOM_COLOR_H */

