// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   ppm.h
 * Author: gleseach
 *
 * Created on 12 août 2015, 15:28
 */

#ifndef PPM_H
#define	PPM_H

class Image;

bool loadPGM(const char* file_name,int & width, int & height, char *& pixels);
bool loadPPM(const char* file_name,int & width, int & height, unsigned char *& pixels);

// Binary version
bool savePGM(const char* file_name,int width, int height, char * pixels);
bool savePGM(const char* file_name, const Image& img);

// Binary version
bool savePPM(const char* file_name, const Image& img);
bool savePPM(const char* file_name, int width, int height, char * pixels);

// ASCII version
bool saveRGB(const char* file_name, int width, int height, unsigned char * pixels);

bool savePFM(const char* file_name, const Image& img);
bool savePFM(const char* file_name, int width, int height, float * pixels);


bool saveTXT4f(const char* file_name, const Image& img);

#endif	/* PPM_H */

