// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   query.h
 * Author: gleseach
 *
 * Created on 2 mai 2017, 10:49
 */

#ifndef QUERY_H
#define QUERY_H

#include "3d/opengl_enum.h"
#include "3d/globject.h"

namespace OGL
{

class Query : public OGL::Object
{
public:
    virtual ~Query() override;

    virtual void begin(OGL::QueryCounterType type) = 0;
    virtual void end() = 0;
    virtual unsigned int getResult() = 0;
};

} // OGL

#endif /* QUERY_H */
