// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef RECTANGLE_BASED_BUILDER_H
#define RECTANGLE_BASED_BUILDER_H

#include "3d/shape_builder.h"
#include "vendors/_glm.h"

//typedef std::array<glm::vec3, 4> CornerArray;

struct PipelineParameters;

class RectangleBasedBuilder : public ShapeBuilder
{
public:
	virtual ~RectangleBasedBuilder() override;

	void setCenter(const glm::vec3& p);
	PipelineParameters* getParameters() const { return _parameters; }
	void setParameters(PipelineParameters* val) { _parameters = val; }

protected:
	glm::vec3 _center;
	PipelineParameters* _parameters;
};

#endif // RECTANGLE_BASED_BUILDER_H
