// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   renderbuffer.h
 * Author: gleseach
 *
 * Created on 9 février 2016, 10:35
 */

#ifndef RENDERBUFFER_H
#define RENDERBUFFER_H

#include "3d/bindable_object.h"
#include "3d/opengl_enum.h"

namespace OGL
{

class RenderBuffer : public BindableObject
{
public:
    RenderBuffer(OGL::RenderBufferType type);
    virtual ~RenderBuffer() override;

    virtual void allocate(unsigned int width, unsigned int height) = 0;
    virtual void resize(unsigned int width, unsigned int height) = 0;

protected:
    RenderBufferType _type;
};

}

#endif /* RENDERBUFFER_H */

