// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   rgb_raw.h
 * Author: gleseach
 *
 * Created on 17 mars 2017, 12:50
 */

#ifndef RGB_RAW_H
#define RGB_RAW_H

#include "3d/raw_impl.h"

class RGBRaw : public RawImpl
{
public:
    RGBRaw();
    ~RGBRaw() override;

    void create(OGL::Context* ctx) override;
    void bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam*) override;
    void draw(OGL::Context* ctx, Renderable2* object) override;

private:
    int _mvpLoc;
    int _scaleFactorLoc;
    int _offsetLoc;
    int _scaleFactorGLLoc;
};

#endif /* RGB_RAW_H */
