// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef SCREEN_QUAD_TEXTURED_INSTANCED_H
#define SCREEN_QUAD_TEXTURED_INSTANCED_H

namespace OGL
{
    class Context;
    class VertexArrayObject;
    class Buffer;
    class DrawMode;
}

class ScreenQuadTexturedInstanced
{
public:
    ScreenQuadTexturedInstanced();
    ~ScreenQuadTexturedInstanced();

    void updatePositionDirection(const std::vector<glm::vec3>& positions, const std::vector<glm::vec3>& directions);
    void clear();

    void create(OGL::Context* ctx);
    void draw();

private:
    OGL::Buffer* _displacementBuffer;
    OGL::Buffer* _texcoordBuffer;
    OGL::VertexArrayObject* _vao;
    OGL::DrawMode* _drawMode;
    OGL::Buffer* _positionsBuffer;
    OGL::Buffer* _directionsBuffer;
};

#endif // SCREEN_QUAD_TEXTURED_INSTANCED_H
