// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   shape_anchor.h
 * Author: gleseach
 *
 * Created on 4 novembre 2016, 15:57
 */

#ifndef SHAPE_ANCHOR_H
#define SHAPE_ANCHOR_H

#include "3d/billboard.h"

class AnchorController;

namespace OGL
{
    class Context;
    class StaticMesh;
}

class ShapeAnchor final : public Billboard
{
public:
    ShapeAnchor();
    ~ShapeAnchor() override;

    void initialize(AnchorType type, AnchorController* controller, OGL::StaticMesh* sm, unsigned int);
	unsigned int getId() const { return _id; }

    const glm::vec3 getPosition() const override;
    void setPosition(const glm::vec3& pos) override;

    const AnchorType& getType() const;

    void pressed();


private:
    AnchorType _type;
    AnchorController* _controller;
    unsigned int _id;
};

#endif /* SHAPE_ANCHOR_H */
