// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   spherical_quad.h
 * Author: gleseach
 *
 * Created on 4 septembre 2017, 16:18
 */

#ifndef SPHERICAL_QUAD_H
#define SPHERICAL_QUAD_H

class SphericalQuad
{
public:
    SphericalQuad();
    ~SphericalQuad();

    /*!
     * 0 = top left
     * 1 = bottom right
     * 2 = top right
     * 3 = bottom left
     */
    void setCornerPosition(unsigned int id, const glm::vec3& pos);

    /*!
     * 0 = top left
     * 1 = bottom right
     * 2 = top right
     * 3 = bottom left
     */
    const glm::vec3& getCornerPosition(unsigned int id);
    glm::vec3 getRandomPoint();
    glm::vec3 getRandomGaussianPoint();

private:
    glm::vec3 _corners[4];
};

#endif /* SPHERICAL_QUAD_H */
