// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef STDAFX_H
#define	STDAFX_H

// Lib C
#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <string.h>

#ifdef _WIN32
#define _USE_MATH_DEFINES
#endif

#include <math.h>

// STL
#include <string>
#include <vector>
#include <unordered_map>
#include <list>
#include <iostream>
#include <map>
#include <chrono>
#include <iterator>
#include <algorithm>
#include <random>
#include <array>
#include <sstream>
#include <fstream>
#include <functional>
#include <queue>
#include <bitset>
#include <set>

// Windowing and inputs
#include "vendors/_glfw3.h"

// Math lib vector/matrix
#include "vendors/_glm.h"

typedef glm::vec3 Vector3D;


#define red4f     glm::vec4(1.f, 0.f, 0.f, 1.f)
#define green4f   glm::vec4(0.f, 1.f, 0.f, 1.f)
#define blue4f    glm::vec4(0.f, 0.f, 1.f, 1.f)
#define yellow4f  glm::vec4(1.f, 1.f, 0.f, 1.f)
#define magenta4f glm::vec4(1.f, 0.f, 1.f, 1.f)
#define cyan4f    glm::vec4(0.f, 1.f, 1.f, 1.f)
#define orange4f  glm::vec3(1.f, 0.5f, 1.f, 1.f)

#define red3f     glm::vec3(1.f, 0.f, 0.f)
#define green3f   glm::vec3(0.f, 1.f, 0.f)
#define blue3f    glm::vec3(0.f, 0.f, 1.f)
#define yellow3f  glm::vec3(1.f, 1.f, 0.f)
#define magenta3f glm::vec3(1.f, 0.f, 1.f)
#define cyan3f    glm::vec3(0.f, 1.f, 1.f)
#define orange3f  glm::vec3(1.f, 0.5f, 1.f)

#endif	/* STDAFX_H */
