// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef STYLE_PARAMETERS_H
#define STYLE_PARAMETERS_H

struct StyleParameters
{
	glm::vec3 backgroundColor;
	glm::vec3 moveable_normal_color;
	glm::vec3 moveable_highlight_color;
	glm::vec3 moveable_selected_color;
	glm::vec3 add_normal_color;
	glm::vec3 add_highlight_color;
	float moveable_normal_size;
	float moveable_highlight_size;
	float moveable_selected_size;
	float add_normal_size;
	float add_highlight_size;
	float add_selected_size;
	glm::vec3 polyline_normal_color;
	glm::vec3 polyline_highlight_color;
	glm::vec3 polyline_selected_color;
	glm::vec3 polygon_normal_color;
	glm::vec3 polygon_highlight_color;
	glm::vec3 polygon_selected_color;
};

#endif // STYLE_PARAMETERS_H
