// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   texture_loader.h
 * Author: gleseach
 *
 * Created on 1 février 2017, 19:07
 */

#ifndef TEXTURE_LOADER_H
#define TEXTURE_LOADER_H

namespace OGL
{
    class Context;
    class Texture;
}

struct NVGcontext;

class TextureLoader
{
public:
    static OGL::Texture* loadFromFile(OGL::Context* ctx, const std::string& filePath);
    static int loadFromFile(NVGcontext* ctx, const std::string& filePath);
};

#endif /* TEXTURE_LOADER_H */
