// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   typed_buffer.h
 * Author: gleseach
 *
 * Created on 3 octobre 2016, 12:09
 */

#ifndef TYPED_BUFFER_H
#define TYPED_BUFFER_H

#include "3d/buffer_desc.h"

namespace OGL
{
    class Buffer;
}

class TypedBuffer
{
public:
    TypedBuffer(OGL::Buffer* buffer, const BufferDesc& desc);

    OGL::Buffer* getBuffer() const;
    const BufferDesc& getDescription() const;

private:
    OGL::Buffer* _buffer;
    BufferDesc _desc;
};

#endif /* TYPED_BUFFER_H */

