// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   vertex_array_object.h
 * Author: gleseach
 *
 * Created on 4 septembre 2015, 10:34
 */

#ifndef VERTEX_ARRAY_OBJECT_H
#define	VERTEX_ARRAY_OBJECT_H

#include "3d/bindable_object.h"

namespace OGL
{

class VertexArrayObject : public BindableObject
{
public:
    VertexArrayObject();
    virtual ~VertexArrayObject() override;

    /*!
     * \brief Add the object to the object array to add to the vao.
     */
    void addObject(BindableObject* object);

    /*!
     * \brief Loop on all objects added with addObject and call bind() function.
     * \note To Call before using the vao.
     */
    void fill();

protected:
    std::vector<OGL::BindableObject*> pipeline;
    std::vector<OGL::BindableObject*> toDelete;
};

} // namespace OGL

#endif	/* VERTEX_ARRAY_OBJECT_H */

