// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   vertex_attrib_array.h
 * Author: gleseach
 *
 * Created on 4 septembre 2015, 10:57
 */

#ifndef VERTEX_ATTRIB_ARRAY_H
#define	VERTEX_ATTRIB_ARRAY_H

#include "3d/bindable_object.h"
#include "3d/opengl_enum.h"

namespace OGL
{

class Buffer;

class VertexAttribArray : public BindableObject
{
public:
    VertexAttribArray(unsigned int id, unsigned int component_count, Buffer * buffer, DataType dataType = DataType::float32, unsigned int stride = 0, unsigned int offset = 0);
    virtual ~VertexAttribArray() override;

    unsigned int getIndex() const { return this->id; }

protected:
    unsigned int id;
    unsigned int component_count;
    Buffer * buffer;
    unsigned int stride;
    unsigned long long offset;
    DataType dataType;
};

} // namespace OGL

#endif	/* VERTEX_ATTRIB_ARRAY_H */

