// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef ADVANCED_RENDERING_CONTROL_H
#define ADVANCED_RENDERING_CONTROL_H

#include <string>

#include "core/rendering_cfg.h"
#include "ui/iadvanced_rendering_control_view.h"

namespace SEAScope
{
	class AdvancedRenderingControl
	{
		public:
			AdvancedRenderingControl();
			virtual ~AdvancedRenderingControl();

			bool init(IAdvancedRenderingControlView*);
			bool setTarget(RenderingCfg*, const std::string&);
			bool update();

			RenderingCfg* current;
			IAdvancedRenderingControlView* view;
			std::function<void(RenderingCfg*)> resetCallback;
			std::function<void(RenderingCfg*)> saveConfigCallback;
	};
};

#endif
