// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef API_IN_H
#define API_IN_H

#include "vendors/_flatbuffers.h"

#include "core/structs.h"
#include "core/rendering_cfg.h"

namespace SEAScope
{
	class APIIn
	{
		public:

			static bool renderableId(const API::RenderableId*, RenderableId&);
			static bool renderingCfg(const API::RenderingCfg*, RenderingCfg&);
			static bool variable(const API::Variable*, VariableCfg&);
			static bool collection(const API::Collection*, CollectionCfg&);
			static bool shape(const API::Shape*, Shape&);
			static bool idfDescriptor(const API::IDFDescriptor*, IDFDescriptor&);
			static bool granuleMetadata(const API::GranuleMetadata*, GranuleMetadata&);
			static bool dataInfo(const API::DataInfo*, DataInfo&);
			static bool dataBucket(const API::DataBucket*, DataBucket&);
            static bool floatDataBucket(const API::FloatDataBucket*, DataBucket&);
			static bool granuleData(const API::GranuleData*, GranuleData&);
	};
};

#endif
