// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef API_OUT_H
#define API_OUT_H

#include "vendors/_flatbuffers.h"
#include "core/structs.h"
#include "core/rendering_cfg.h"

namespace SEAScope
{
	class APIOut
	{
		public:
			static flatbuffers::Offset<API::Variable> \
			variable( flatbuffers::FlatBufferBuilder&
					, const VariableId&
					, const VariableCfg&
					, bool&);

			static flatbuffers::Offset<API::Collection> \
			collection( flatbuffers::FlatBufferBuilder&
					  , const CollectionId&
					  , const CollectionCfg&
					  , bool&);

			static flatbuffers::Offset<API::Source> \
			source( flatbuffers::FlatBufferBuilder&
				  , std::uint32_t
				  , const SourceInfo&
				  , bool&);

			static flatbuffers::Offset<API::Extraction> \
			extraction( flatbuffers::FlatBufferBuilder&
					  , const RenderableId&
					  , const Extraction&
					  , bool&);

			static flatbuffers::Offset<API::GranuleMetadata> \
			granuleMetadata( flatbuffers::FlatBufferBuilder&
						   , const GranuleMetadata&
						   , bool&);

            static flatbuffers::Offset<API::RenderingCfg> \
            renderingCfg( flatbuffers::FlatBufferBuilder& \
                        , const RenderingCfg& \
                        , bool&);

            static flatbuffers::Offset<API::Timestep> \
            timestep( flatbuffers::FlatBufferBuilder& \
			        , const std::string& \
					, const timestamp_t \
				    , bool&);

            static flatbuffers::Offset<API::Timespan> \
            timespan( flatbuffers::FlatBufferBuilder& \
			        , const std::string& \
					, const timestamp_t \
                    , const timestamp_t \
					, bool&);
	};
};

#endif
