// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/*
 * https://creativecommons.org/licenses/by-sa/4.0/
 * https://stackoverflow.com/a/35328409
 */
#ifndef BASE64_H
#define BASE64_H

#include <cstdint>
#include <string>
#include <vector>

void base64_encode(std::string & out, const std::vector<std::uint8_t>& buf);
void base64_encode(std::string & out, const std::uint8_t* buf, std::size_t bufLen);
void base64_encode(std::string & out, std::string const& buf);

void base64_decode(std::vector<std::uint8_t> & out, std::string const& encoded_string);

// Use this if you know the output should be a valid string
void base64_decode(std::string & out, std::string const& encoded_string);

#endif
