// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/**
 *
 */

#ifndef DIALOG_H
#define DIALOG_H

#include <string>
#include "core/interfaces/idialog_handler.h"

namespace SEAScope
{
	class Dialog
	{
		public:
			static bool available();
			static bool askYesNoQuestion(const std::string& message, const std::string& yesLabel, const std::string& noLabel);
            static std::string fileDialog(const std::string& currentPath, bool save);
            static std::string dirDialog(const std::string& currentPath);

			static IDialogHandler* implementation;
	};
};

#endif
