// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#pragma once

#include "3d/singleton.h"
#include <iostream>

namespace SEAScope
{
	class ColormapManager;
}

namespace OGL
{
	class Texture;
}

class SceneGraph;
class Icons;

class GlobalDebug : public Singleton<GlobalDebug>
{
public:
	friend class Singleton<GlobalDebug>;

	void init(const glm::ivec2& size);

	SceneGraph* _sceneGraph;

	float _pixelRatio;

	uint64_t _currentTime;
	Icons* _icons;

	std::chrono::steady_clock::time_point t;

	OGL::Texture* _diamondTex;

protected:
	GlobalDebug();
    ~GlobalDebug() override;
};
