// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef ICONS_ENUM_H
#define ICONS_ENUM_H

#include <string>
#include <cstdint>

enum class IconType : std::uint16_t
{
    CIRCLE_OUTLINE_32,
    CIRCLE_DOT_32,
    CIRCLE_FILLED_32,
    LOSANGE_OUTLINE_32,
    CIRCLE_PLUS_32,
    SMALL_CIRCLE_FILLED_32,
    SMALL_CIRCLE_OUTLINE_32,
    SMALL_CIRCLE_MOVE_32,
    SMALL_CIRCLE_PLUS_32,
    SMALL_CROSSHAIR_32,
    CURRENT_TIME_MARKER,
    ICON_TYPE_COUNT,
    UNDEFINED,
    ICON_USER_0 = 1000
};

struct IconTypeHash
{
    template<typename T>
    std::size_t operator()(T t) const
    {
        return static_cast<std::size_t>(t);
    }
};

#endif // ICONS_ENUM_H
