// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/**
 *
 */

#ifndef IDIALOG_HANDLER_H
#define IDIALOG_HANDLER_H

#include <string>
#include <vector>

namespace SEAScope
{
	class IDialogHandler
	{
		public:
			virtual ~IDialogHandler();

			virtual bool available() = 0;
			virtual bool askYesNoQuestion(const std::string& message, const std::string& yesLabel, const std::string& noLabel) = 0;
            virtual std::string fileDialog(const std::string& currentPath, bool save) = 0;
            virtual std::string dirDialog(const std::string& currentPath) = 0;
	};
};

#endif
