// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef IJOB_SCHEDULER_H
#define IJOB_SCHEDULER_H

#include <list>
#include "core/job.h"

namespace SEAScope
{
	class IJobScheduler
	{
		public:
			virtual ~IJobScheduler();

			virtual bool addJob(Job&&, std::string&, JobStatus&) = 0;
			virtual bool removeJob(const std::string&) = 0;
			virtual bool selectJob(Job&) = 0;
			virtual bool updateJobStatus(const std::string&, const JobStatus&) = 0;
			virtual std::size_t countPendingJobs() const = 0;
	};
};

#endif
