// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef IMETADATA_STORE_H
#define IMETADATA_STORE_H

#include <set>
#include "core/structs.h"

namespace SEAScope
{
	class IMetadataStore
	{
		public:
			virtual ~IMetadataStore();

            virtual bool hasCollection(const CollectionId&) const = 0;
			virtual bool listCollections(std::set<CollectionId>&) const = 0;
			virtual bool getCollectionCfg(const CollectionId&, CollectionCfg&) const = 0;
			virtual bool setCollectionCfg(const CollectionId&, const CollectionCfg&) = 0;
            virtual bool deleteCollectionCfg(const CollectionId&) = 0;
			virtual bool addVariable(const CollectionId&, const VariableId&, const VariableCfg&) = 0;
            virtual bool removeVariable(const CollectionId&, const VariableId&) = 0;
	};
};

#endif
