// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef PATH_TOOLS_H
#define PATH_TOOLS_H

// Return the extension found in the path. Return an empty string if no extension.
std::string extension(const std::string& path);

// Return the filename. All characters after the last separator.
std::string filename(const std::string& path);

// Checks if a trailing separator is present, otherwise a separator is added.
void addEndingSeparator(std::string& path);

#endif // PATH_TOOLS_H
