// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef SOURCES_CONTROL_H
#define SOURCES_CONTROL_H

#include <functional>
#include "core/sources_control_model.h"
#include "ui/isources_control_view.h"

namespace SEAScope
{
	class SourcesControl
	{
		public:
			SourcesControl();
			virtual ~SourcesControl();

			bool init(ISourcesControlView*);
			bool initializeSource(const SourceInfo&);
			bool addSourceFromURI(const std::string&);

			ISourcesControlView* view;
			SourcesControlModel model;
			std::function<void(const SourceInfo&, const std::set<CollectionId>&)> sourceInitialized;
	};
};

#endif
