// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef STATE_H
#define STATE_H

#include <map>
#include <string>
#include "core/timeline_model.h"
#include "ui/iblueprint.h"
#include "core/interfaces/iblueprint_factory.h"

namespace SEAScope
{
	class State
	{
		public:
			State();
			virtual ~State();

		bool serialize(std::string&) const;
		bool deserialize(const std::string&);
		IBlueprint* createBlueprint(bool, bool) const;

		TimelineModel* timeline;
		std::map<std::string, IBlueprint*> layout;
		IBlueprintFactory* blueprintFactory;
	};
};

#endif
