// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef UNROLLED_FUNCTIONS_H
#define UNROLLED_FUNCTIONS_H

#include <vector>
#include "data/image.h"

// Interleaved multiple arrays in one array
// structure of arrays (SoA) to array of structures (AoS), 
void soa_to_aos(const std::vector<const Image*>& src, Image* dst);

// Compute a mask with all src image channels and search the min and max values for all channels.
void computeMaskAndMinMax(const Image* src, Image* mask, const float fillValue, float* min, float* max);

void createMaskBorder(Image& image, Image& mask, float* offset, float* scaleFactor);

#endif
