// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef ADD_PREPARED_ANNOTATION_REQUEST_H
#define ADD_PREPARED_ANNOTATION_REQUEST_H

#include "core/app_event.h"
#include "core/types.h"

namespace OGL
{
    // Forward declarations
    class Shape;
}

namespace SEAScope
{
    class AddPreparedAnnotationRequest: public AppEvent
    {
        public:
            AddPreparedAnnotationRequest(const CollectionVariable&, OGL::Shape*, double, double);
            virtual ~AddPreparedAnnotationRequest() override;

            const CollectionVariable& getCollectionVariable() const;
            OGL::Shape* getShape() const;
            double getDefaultStart() const;
            double getDefaultStop() const;

        protected:
            CollectionVariable _collectionVariable;
            OGL::Shape* _shape;
            double _defaultStart;
            double _defaultStop;
    };
}

#endif
