// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef COLLECTIONS_UPDATE_REQUESTED_EVENT_H
#define COLLECTIONS_UPDATE_REQUESTED_EVENT_H

#include <set>

#include "core/app_event.h"
#include "core/structs.h"

namespace SEAScope
{
    class CollectionsUpdateRequestedEvent: public AppEvent
    {
        public:
            CollectionsUpdateRequestedEvent(const std::set<CollectionId>&, const std::set<CollectionId>&, const std::set<CollectionId>&);
            virtual ~CollectionsUpdateRequestedEvent() override;

            const std::set<CollectionId>& getToAdd() const;
            const std::set<CollectionId>& getToRemove() const;
            const std::set<CollectionId>& getToUpdate() const;

        protected:
            std::set<CollectionId> _toAdd;
            std::set<CollectionId> _toRemove;
            std::set<CollectionId> _toUpdate;
    };
}

#endif
