// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef CREATE_ANNOTATIONS_COLLECTION_REQUEST_H
#define CREATE_ANNOTATIONS_COLLECTION_REQUEST_H

#include <string>

#include "core/types.h"
#include "core/app_event.h"

namespace SEAScope
{
    class CreateAnnotationsCollectionRequest: public AppEvent
    {
        public:
            CreateAnnotationsCollectionRequest(ShapeType, const std::string&, const std::string&, bool);
            virtual ~CreateAnnotationsCollectionRequest() override;

            const ShapeType& getAnnotationsType() const;
            const std::string& getCollectionLabel() const;
            const std::string& getVariableLabel() const;
            bool getPersist() const;

        protected:
            ShapeType _type;
            std::string _collectionLabel;
            std::string _variableLabel;
            bool _persist;
    };
}
#endif
