// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef GRANULE_ADDED_EVENT_H
#define GRANULE_ADDED_EVENT_H

#include "core/app_event.h"
#include "core/types.h"

namespace SEAScope
{
    class GranuleAddedEvent: public AppEvent
    {
        public:
            GranuleAddedEvent(SourceId, std::uint32_t, std::uint64_t);
            virtual ~GranuleAddedEvent() override;

            const SourceId& getSourceId() const;
            std::uint32_t getCollectionId() const;
            std::uint64_t getGranuleId() const;

        protected:
            SourceId _sourceId;
            std::uint32_t _collectionId;
            std::uint64_t _granuleId;
    };
}

#endif
