// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef GRANULE_INFO_READY_FOR_DISPLAY_EVENT_H
#define GRANULE_INFO_READY_FOR_DISPLAY_EVENT_H

#include "core/app_event.h"
#include "core/granule_info.h"

namespace SEAScope
{
    class GranuleInfoReadyForDisplayEvent: public AppEvent
    {
        public:
            GranuleInfoReadyForDisplayEvent(const GranuleInfo&);
            virtual ~GranuleInfoReadyForDisplayEvent() override;

            const GranuleInfo& getGranuleInfo() const;

        protected:
            GranuleInfo _granuleInfo;
    };
}


#endif
