// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef LIST_OVERLAYED_GRANULES_BEFORE_SAVING_ONE_ANNOTATION_TO_FILE_REQUEST_H
#define LIST_OVERLAYED_GRANULES_BEFORE_SAVING_ONE_ANNOTATION_TO_FILE_REQUEST_H

#include <string>
#include "core/app_event.h"
#include "core/structs.h"

namespace SEAScope
{
    // Oh no, here comes Java...
    class ListOverlayedGranulesBeforeSavingOneAnnotationToFileRequest: public AppEvent
    {
        public:
            ListOverlayedGranulesBeforeSavingOneAnnotationToFileRequest(const RenderableId&, const std::string&, const AnnotationFormat&);
            virtual ~ListOverlayedGranulesBeforeSavingOneAnnotationToFileRequest() override;

            const RenderableId& getRenderableId() const;
            const std::string& getPath() const;
            const AnnotationFormat& getExportFormat() const;

        protected:
            RenderableId _renderableId;
            std::string _path;
            AnnotationFormat _exportFormat;
    };
}

#endif
