// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef SINK_EVENTHANDLER_H
#define SINK_EVENTHANDLER_H

#include "core/eventhandler.h"

namespace SEAScope
{
	class SinkEventHandler final : public EventHandler
	{
		public:
			SinkEventHandler();
			~SinkEventHandler() override;

			bool handleKeyEvent(int,int,int,int) override;
			bool handleCharEvent(unsigned int, int) override;
			bool handleMouseButtonEvent(int, int, int) override;
			bool handleMouseMoveEvent(double, double) override;
			bool handleMouseWheelEvent(double,double) override;
			bool handleResizeEvent(int, int, int, int) override;
			bool handleFocusEvent(int) override;
			bool handleIconifyEvent(int) override;
			bool handleDropEvent(int,const char**) override;

	};
};

#endif
