// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef SQLITE_UTILS_H
#define SQLITE_UTILS_H

#include <tuple>

#ifndef SQLITE_TRACE_STMT
#define SQLITE_TRACE_STMT       0x01
#endif

#ifndef SQLITE_TRACE_PROFILE
#define SQLITE_TRACE_PROFILE    0x02
#endif

#ifndef SQLITE_TRACE_ROW
#define SQLITE_TRACE_ROW        0x04
#endif

#ifndef SQLITE_TRACE_CLOSE
#define SQLITE_TRACE_CLOSE      0x08
#endif

// Forward declarations
struct sqlite3;

namespace SEAScope
{
    namespace SQLiteUtils
    {
        bool showTrace(sqlite3*);
        std::tuple<bool, bool> checkDatabase(sqlite3*);
        bool hasTable(sqlite3* db, const std::string& tableName);
        bool isDatabaseHealthy(sqlite3* db);
    }
}
#endif
