// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef IBLUEPRINT_H
#define IBLUEPRINT_H

#include <string>
#include "ui/icomponent.h"

namespace SEAScope
{
	class IBlueprint
	{
		public:
			virtual ~IBlueprint();

			virtual bool setMinDimensions(const std::string&, const std::string&) = 0;
			virtual bool getLayout(std::string&, std::string&, std::string&, std::string&) const = 0;
			virtual bool setLayout(const std::string&, const std::string&, const std::string&, const std::string&) = 0;
			virtual bool resizeAuto() = 0;
			virtual bool setTarget(IComponent*) = 0;
			virtual IComponent* getTarget() const = 0;
	};
};

#endif
