// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef ISOURCES_CONTROL_VIEW_H
#define ISOURCES_CONTROL_VIEW_H

#include <string>
#include <functional>

#include "ui/isource_widget.h"

namespace SEAScope
{
	class ISourcesControlView
	{
		public:
			virtual ~ISourcesControlView();

			virtual ISourceWidget* createSource() = 0;
			virtual bool addSource(ISourceWidget*) = 0;
			virtual bool removeSource(ISourceWidget*) = 0;
			virtual bool setAddCallback(const std::function<void(const std::string&)>&) = 0;
			virtual bool setInfoCallback(const std::function<void(const std::string&)>&) = 0;
			virtual bool setSelectionCallback(const std::function<void(const std::string&, bool)>&) = 0;
	};
};

#endif
