// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_BLUEPRINT_LIVEEDIT_H
#define NANOGUI_BLUEPRINT_LIVEEDIT_H

#include <vector>
#include <string>
#include <nanogui/widget.h>
#include <nanogui/button.h>
#include "ui/nanogui/nanogui_blueprint.h"

namespace SEAScope
{
	class NanoguiBlueprintLiveedit final: public virtual nanogui::Widget
	{
		public:
			NanoguiBlueprintLiveedit(nanogui::Widget* parent, NanoguiBlueprint* blueprint);
			~NanoguiBlueprintLiveedit() override;

			const std::string getWidth() const;
			const std::string getHeight() const;
			const std::string getX() const;
			const std::string getY() const;
			bool commit();

            std::vector<nanogui::Button*> widthUnits;
            std::vector<nanogui::Button*> heightUnits;
            std::vector<nanogui::Button*> hOffsetUnits;
            std::vector<nanogui::Button*> hOffsetOrigin;
            std::vector<nanogui::Button*> vOffsetUnits;
            std::vector<nanogui::Button*> vOffsetOrigin;
			NanoguiBlueprint* blueprint;
	};
};

#endif
