// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_CHECKBOX_H
#define NANOGUI_CHECKBOX_H

#include "vendors/_nanogui.h"

namespace SEAScope
{
	class NanoguiCheckbox final: public virtual nanogui::CheckBox
	{
		public:
			NanoguiCheckbox(nanogui::Widget*, const std::string&);
			~NanoguiCheckbox() override;

			void draw(NVGcontext*) override;
			bool mouseButtonEvent(const Eigen::Vector2i &p, int button, bool down, int modifiers) override;

            void setEditable(bool);
            bool editable() const;

			nanogui::Color outlineColor;
			int keyPressed;
            bool _editable;
	};
};

#endif
