// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_DATETIMEBOX_H
#define NANOGUI_DATETIMEBOX_H

#include <cstdint>
#include <string>

#include "vendors/_nanogui.h"

#include "ui/nanogui/nanogui_datebox.h"

namespace SEAScope
{
	class NanoguiDatetimeBox final: public virtual NanoguiDateBox
	{
		public:
			NanoguiDatetimeBox( nanogui::Widget*, uint16_t, uint8_t, uint8_t
							  , uint8_t, uint8_t, uint8_t);
			~NanoguiDatetimeBox() override;

			bool checkValidity(const std::string&) override;

			bool checkTime(const std::string&) const;
			bool setHour(std::uint8_t, bool);
			bool getHour(std::uint8_t&) const;
			bool setMinute(std::uint8_t, bool);
			bool getMinute(std::uint8_t&) const;
			bool setSecond(std::uint8_t, bool);
			bool getSecond(std::uint8_t&) const;

			std::string defaultHourCompletion;
			std::string defaultMinuteCompletion;
	};
};

#endif
