// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.

#ifndef NANOGUI_EVENTS_BUBBLING_H
#define NANOGUI_EVENTS_BUBBLING_H

namespace SEAScope
{
    // Current version of GLFW only uses a few bits of the mods
    // integer, so we will use the most significant bit to indicate
    // that the event is now bubbling:
    //
    // GLFW_MOD_SHIFT     0x0001
    // GLFW_MOD_CONTROL   0x0002
    // GLFW_MOD_ALT       0x0004
    // GLFW_MOD_SUPER     0x0008
    // GLFW_MOD_CAPS_LOCK 0x0010
    // GLFW_MOD_NUM_LOCK  0x0020
    // EVENT_BUBBLINB     0x8000
    //
    // Warning: GLFW may change this in future versions, so be careful
    // when updating dependencies.
    constexpr int NANOGUI_EVENT_BUBBLING = 0x8000;
}

#endif
