// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_FLAT_BUTTON_H
#define NANOGUI_FLAT_BUTTON_H

#include <nanogui/button.h>
#include <nanogui/opengl.h>

namespace SEAScope
{
	class NanoguiFlatButton final: public virtual nanogui::Button
	{
		public:
			NanoguiFlatButton(nanogui::Widget*);
			~NanoguiFlatButton() override;

			void draw(NVGcontext*) override;
			bool setWrapline(float, float);
			bool setBorderColor(nanogui::Color);

			nanogui::Color borderColor;
			std::string mFontFace;
			float wraplineOffset;
			float wraplineWidth;
	};
};

#endif
