// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_GAUGE_H
#define NANOGUI_GAUGE_H

#include <functional>

#include "vendors/_nanogui.h"

namespace SEAScope
{
	class NanoguiGauge final: public nanogui::Widget
	{
		public:
			NanoguiGauge(nanogui::Widget*);
			~NanoguiGauge() override;

			void draw(NVGcontext*) override;
			bool mouseButtonEvent(const Eigen::Vector2i&, int, bool, int) override;
			bool mouseDragEvent(const Eigen::Vector2i&, const Eigen::Vector2i&, int, int) override;
            bool scrollEvent(const Eigen::Vector2i&, const Eigen::Vector2f&) override;

			bool setChangeCallback(const std::function<bool(float)>&);
			bool updateAngle(float dx, float dy);
			bool setPercent(float);

			float angle;
            float scrollStep;
			bool dragging;
			std::function<bool(float)> changeCallback;
	};
};

#endif
