// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_ICONS_H
#define NANOGUI_ICONS_H

#include <unordered_map>
#include <map>

#include "core/icons_enum.h"

class Icons;
struct NVGcontext;

class NanoguiIcons
{
public:
    NanoguiIcons();
    ~NanoguiIcons();

    void setTextures(NVGcontext* ctx, const Icons& icons);

    int getNVGTexture(IconType, bool&) const;
    int getNVGTexture(std::uint16_t iconType, bool& ok) const;
    int getNVGTexture(const std::string& name, bool& ok) const;

    const std::unordered_map<std::uint16_t, int, IconTypeHash>& getNVGTextures() const { return _nvgtextures; }
    std::string getName(const std::uint16_t& id) const;
    std::uint16_t getId(const std::string& name) const;

protected:
    std::unordered_map<std::uint16_t, int, IconTypeHash> _nvgtextures;
    std::map<const std::string, std::uint16_t> _nameToId;
    std::map<std::uint16_t, std::string> _idToName;
};

#endif // NANOGUI_ICONS_H
