// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_LAYOUT_SETTINGS_H
#define NANOGUI_LAYOUT_SETTINGS_H

#include <map>
#include <string>
#include <functional>
#include <nanogui/widget.h>
#include "ui/nanogui/nanogui_blueprint.h"
#include "ui/nanogui/nanogui_blueprint_editor.h"

namespace SEAScope
{
	class NanoguiLayoutSettings final: public virtual nanogui::Widget
	{
		public:
			NanoguiLayoutSettings(nanogui::Widget* parent);
			~NanoguiLayoutSettings() override;

			bool addBlueprint(const std::string&, NanoguiBlueprint*);
			bool setSaveCallback(const std::function<void()>&);

			nanogui::Widget* componentsList;
			nanogui::Button* saveButton;
			std::function<void()> saveCallback;
	};
};

#endif
