// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_LIST_H
#define NANOGUI_LIST_H

#include <functional>

#include "vendors/_nanogui.h"

#include "ui/nanogui/nanogui_sorted_list.h"

namespace SEAScope
{
	class NanoguiList final: public virtual nanogui::VScrollPanel
	{
		public:
			NanoguiList(nanogui::Widget*);
			~NanoguiList() override;

			bool scrollEvent(const Eigen::Vector2i&, const Eigen::Vector2f&) override;
            void update(bool);

            float getScroll() const {return this->mScroll;}

			NanoguiSortedList* content;
	};
};

#endif
