// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_PAINTED8LABEL_H
#define NANOGUI_PAINTED8LABEL_H

#include <string>

#include "vendors/_nanogui.h"

namespace SEAScope
{
    class NanoguiPaintedLabel: public virtual nanogui::Widget
    {
        public:
            NanoguiPaintedLabel(nanogui::Widget*, const std::string&);
            ~NanoguiPaintedLabel() override;

            void draw(NVGcontext*) override;
			Eigen::Vector2i preferredSize(NVGcontext*) const override;

            void setCaption(const std::string&);
            const std::string& caption() const;

            void setIcon(int);
            void setIconColor(const nanogui::Color&);
            void setTextColor(const nanogui::Color&);
            void setBackgroundColor(const nanogui::Color&);

        protected:
            std::string _caption;
            nanogui::Color _bgColor;
            nanogui::Color _textColor;
            nanogui::Color _iconColor;
            int _icon;
    };
}

#endif
