// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_RENDERING_MENU_H
#define NANOGUI_RENDERING_MENU_H

#include <functional>
#include <nanogui/widget.h>
#include <nanogui/label.h>
#include <nanogui/button.h>

#include "ui/nanogui/nanogui_draggable_pane.h"
#include "ui/nanogui/nanogui_rendering_control.h"
#include "ui/nanogui/nanogui_advanced_rendering_control.h"

namespace SEAScope
{
    class NanoguiRenderingMenu
    {
        public:
            NanoguiRenderingMenu();
            virtual ~ NanoguiRenderingMenu();

			bool init(nanogui::Widget*);
            bool expand();
            bool reduce();

            NanoguiDraggablePane* window;
			NanoguiRenderingControl* control;
            NanoguiAdvancedRenderingControl* advanced;
			nanogui::Widget* headerbar;
			nanogui::Button* moreBtn;
			nanogui::Button* reduceBtn;
			nanogui::Button* expandBtn;
			nanogui::Label* title;
            nanogui::Widget* spacer;
			std::function<void()> moreDataCallback;
    };
};

#endif
