// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_RESIZE_HANDLE_H
#define NANOGUI_RESIZE_HANDLE_H

#include <string>
#include <nanogui/widget.h>

namespace SEAScope
{
	class NanoguiBlueprint;
	class NanoguiResizeHandle final: public virtual nanogui::Widget
	{
		public:
			NanoguiResizeHandle(nanogui::Widget* parent);
			~NanoguiResizeHandle() override;

			Eigen::Vector2i preferredSize(NVGcontext *ctx) const override;
			bool mouseDragEvent(const Eigen::Vector2i &p, const Eigen::Vector2i &rel, int button, int modifiers) override;
            bool mouseButtonEvent(const Eigen::Vector2i &p, int button, bool down, int modifiers) override;
			void draw(NVGcontext* ctx) override;

			bool updatePosition();
			Eigen::Vector2i getLimits() const;
			bool setTarget(NanoguiBlueprint* target, const std::string&, const std::string&);
			NanoguiBlueprint* target = nullptr;
			std::string minWidth;
			std::string minHeight;
	};
};

#endif
