// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_SCROLLABLE_WITH_TITLE_H
#define NANOGUI_SCROLLABLE_WITH_TITLE_H

#include <string>

#include "vendors/_nanogui.h"

#include "ui/nanogui/nanogui_list.h"

namespace SEAScope
{
	class NanoguiScrollableWithTitle: public virtual nanogui::Widget
	{
		public:
			NanoguiScrollableWithTitle(nanogui::Widget*);
			~NanoguiScrollableWithTitle() override;

            Eigen::Vector2i preferredSize(NVGcontext *ctx) const override;
			void draw(NVGcontext*) override;

			void resize(int, int);
			void setTitle(const std::string&);
			void center();

			nanogui::Widget* titlebar;
			nanogui::Widget* header;
			NanoguiList* scrollable;
            nanogui::Widget* footer;
			nanogui::Label* title;
			bool reflowNeeded;
	};
};

#endif
