// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_TEXT_FIELD_H
#define NANOGUI_TEXT_FIELD_H

#include <functional>
#include "vendors/_nanogui.h"



namespace SEAScope
{
    class NanoguiTextField: public virtual nanogui::TextBox
    {
        public:
            NanoguiTextField(nanogui::Widget*);
            virtual ~NanoguiTextField() override;

            void draw(NVGcontext*) override;
            bool keyboardEvent(int key, int scancode, int action, int modifiers) override;
            bool focusEvent(bool) override;

            bool setFocusCallback(const std::function<bool(bool)>&);
            bool setEditionCompleteCallback(const std::function<void()>&);

            void hintValidValue();
            void hintInvalidValue();

        protected:
            bool copySelection();
            void pasteFromClipboard();
            std::string _validatedValue;
            bool _autoCommit;
            nanogui::Color _underlineColor;
            std::function<bool(bool)> _focusCallback;
            std::function<void()> _editionCompleteCallback;
    };
}

#endif
