// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_TEXTURE_PANEL_H
#define NANOGUI_TEXTURE_PANEL_H

#include "ui/nanogui/nanogui_scrollable_with_title.h"
//#include <nanogui/window.h>
#include "ui/nanogui/nanogui_window.h"

namespace nanogui
{
    class VScrollPanel;
    class ImagePanel;
}

class NanoguiIcons;

namespace SEAScope
{

class NanoguiTexturePanel : public NanoguiWindow
{
public:
    NanoguiTexturePanel(nanogui::Widget* parent, const std::string& str);
    ~NanoguiTexturePanel() override;

    void init();
    void setSelectionChangedCallback(const std::function<void(int, const std::string& name)>& func);

private:
    nanogui::VScrollPanel* _vscroll;
    nanogui::ImagePanel* _imgPanel;
    nanogui::ImagePanel::Images iconList;
    std::vector<std::uint16_t> _proxy;
    std::vector<int> _proxyNVGTex;
    std::function<void(int, const std::string& name)> _selectionChangedCallback;
};

} // namespace SEAScope

#endif // NANOGUI_TEXTURE_PANEL_H
