// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_TIME_COVERAGE_EDITOR_H
#define NANOGUI_TIME_COVERAGE_EDITOR_H

#include <string>
#include "vendors/_nanogui.h"

namespace nanogui
{
    // Forward declarations
    class Button;
}

namespace SEAScope
{
    // Forward declarations
    class NanoguiDatetimeBox;

    class NanoguiTimeCoverageEditor: public virtual nanogui::Widget
    {
        public:
            NanoguiTimeCoverageEditor(nanogui::Widget*);
            virtual ~NanoguiTimeCoverageEditor() override;

            void setValue(const std::string&, const std::string&);
            void setCallback(const std::function<void(const std::string&, const std::string&)>&);

        protected:
            NanoguiDatetimeBox* _startField;
            NanoguiDatetimeBox* _stopField;
            nanogui::Button* _updateButton;

            std::string _startOriginal;
            std::string _stopOriginal;

            std::function<void(const std::string&, const std::string&)> _callback;
    };
}

#endif
