// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_TIMESTEP_SETTINGS_H
#define NANOGUI_TIMESTEP_SETTINGS_H

#include <functional>
#include <cstdint>
#include <vector>
#include <string>

#include "vendors/_nanogui.h"

namespace SEAScope
{
    class NanoguiTimestepSettings: public virtual nanogui::Widget
    {
        public:
            NanoguiTimestepSettings(nanogui::Widget*);
            virtual ~NanoguiTimestepSettings() override;

            bool init(const std::vector<std::string>& labels,
                      const std::vector<std::string>& descriptions);
            bool setTimestepChangedCallback(const std::function<void(const std::string&)>&);
            bool selectTimestep(const std::string&);

        protected:
            std::vector<nanogui::Button*> _buttons;

            std::function<void(const std::string&)> _changeCallback;
    };
}

#endif
