// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_UTILS_H
#define NANOGUI_UTILS_H

#include <array>
#include <tuple>

#include "vendors/_nanogui.h"

#include "core/types.h"

namespace SEAScope
{
	struct NVGstop {
		float offset;
		struct NVGcolor color;
	};

	class NanoguiUtils
	{
		public:
			static void gradientSpan( uint32_t * dst
									, float
									, uint32_t
									, const std::array<uint8_t, 3>&
									, const std::array<uint8_t, 3>&);
			static std::tuple<int, struct NVGpaint> nvgLinearGradientStops( struct NVGcontext* ctx
														 , float sx
														 , float sy
														 , float ex
														 , float ey
														 , const Colormap&);
			static const int NVG_GRADIENT_SAMPLES;
	};
};

#endif
