// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOGUI_WINDOW_H
#define NANOGUI_WINDOW_H

#include "vendors/_nanogui.h"

namespace SEAScope
{
    class NanoguiRenderer;
}

class NanoguiWindow : public nanogui::Window
{
public:
    NanoguiWindow(nanogui::Widget* parent, const std::string& title);
    virtual ~NanoguiWindow() override;

    virtual void draw(NVGcontext* ctx) override;
    virtual void performLayout(NVGcontext* ctx) override;

    SEAScope::NanoguiRenderer* getRenderer();

    void setCloseCallback(const std::function<void()>& func);

private:
    nanogui::Button* _closeButton;
    std::function<void()> _closeCallback;
};

#endif // NANOGUI_WINDOW_H
