// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef NANOVG_WRAPPER_H
#define NANOVG_WRAPPER_H

#include "vendors/_nanogui.h"

// Uses nanogui::Vector2i used by nanogui and hides multiples static_cast in float used by nanovg.

namespace nvg
{
    // nvgRect
    void rect(NVGcontext* ctx, const nanogui::Vector2i& pos, const nanogui::Vector2i& size);

    // nvgRoundRect
    void roundRect(NVGcontext* ctx, const nanogui::Vector2i& pos, const nanogui::Vector2i& size, int radius);
    
    // nvgLinearGradient
    NVGpaint linearGradient(NVGcontext* ctx, const nanogui::Vector2i& start, const nanogui::Vector2i& end, const nanogui::Color& top, const nanogui::Color& bottom);

    // nvgImagePattern
    NVGpaint imagePattern(NVGcontext* ctx, const nanogui::Vector2i& pos, const nanogui::Vector2i& size, float angle, int texture, float alpha);

    // nvgText
    void text(NVGcontext* ctx, const nanogui::Vector2i& pos, const std::string& str);
}

#endif // NANOVG_WRAPPER_H
