// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifdef _WIN32
	#pragma warning(push, 0)
#else
	#pragma clang diagnostic push
	#pragma clang diagnostic ignored "-Wfloat-equal"
	#pragma clang diagnostic ignored "-Wundef"
	#pragma clang diagnostic ignored "-Wdocumentation-unknown-command"
	#pragma clang diagnostic ignored "-Wsign-conversion"
	#pragma clang diagnostic ignored "-Wold-style-cast"
	#pragma clang diagnostic ignored "-Wzero-as-null-pointer-constant"
	#pragma clang diagnostic ignored "-Wcovered-switch-default"
	#pragma clang diagnostic ignored "-Wweak-vtables"
	#pragma clang diagnostic ignored "-Wreserved-id-macro"
    #pragma clang diagnostic ignored "-Wcomma"

	#if !defined(__APPLE__) || __clang_major__ > 12
		// Linux and recent macOS
		#pragma clang diagnostic ignored "-Wdeprecated-copy"
		#if !defined(__APPLE__) || __clang_major__ > 13
			// Linux and more recent macOS
			#pragma clang diagnostic ignored "-Wreserved-identifier"
		#endif
	#endif
#endif

#include "flatbuffers/flatbuffers.h"
#include "api/api_generated.h"

#ifdef _WIN32
	#pragma warning(pop)
#else
	#pragma clang diagnostic pop
#endif
