// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifdef _WIN32
	#pragma warning(push, 0)
	#pragma warning(disable : 4868)
#else
	#pragma clang diagnostic push
	#pragma clang diagnostic ignored "-Wexit-time-destructors"
	#pragma clang diagnostic ignored "-Wsign-conversion"
	#pragma clang diagnostic ignored "-Wundefined-func-template"
	#pragma clang diagnostic ignored "-Wsigned-enum-bitfield"
	#pragma clang diagnostic ignored "-Wdocumentation-unknown-command"
	#pragma clang diagnostic ignored "-Wpadded"
	#pragma clang diagnostic ignored "-Wswitch-enum"
	#pragma clang diagnostic ignored "-Wdouble-promotion"
    #pragma clang diagnostic ignored "-Wmissing-variable-declarations"

	#if defined(__APPLE__) && __clang_major__ <= 12
		// Old macOS
		#pragma clang diagnostic ignored "-Wc++2a-compat"
		#pragma clang diagnostic ignored "-Wdeprecated"
	#else
		// Linux and recent macOS
		#pragma clang diagnostic ignored "-Wc++20-compat"
		#pragma clang diagnostic ignored "-Wdeprecated-copy-dtor"
		#pragma clang diagnostic ignored "-Wsuggest-destructor-override"
		#pragma clang diagnostic ignored "-Wsuggest-override"
		#if !defined(__APPLE__) || __clang_major__ > 13
			// Linux and more recent macOS
			#pragma clang diagnostic ignored "-Wreserved-identifier"
		#endif
	#endif
#endif

#include <fmt/format.h>

#ifdef _WIN32
	#pragma warning(pop)
#else
	#pragma clang diagnostic pop
#endif
