// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifdef _WIN32
	#pragma warning(push, 0)
#else
	#pragma clang diagnostic push
	#pragma clang diagnostic ignored "-Wdocumentation-unknown-command"
	#pragma clang diagnostic ignored "-Wold-style-cast"
	#pragma clang diagnostic ignored "-Wmissing-noreturn"
	#pragma clang diagnostic ignored "-Wzero-as-null-pointer-constant"
	#pragma clang diagnostic ignored "-Wextra-semi-stmt"
	#pragma clang diagnostic ignored "-Wsign-conversion"
	#pragma clang diagnostic ignored "-Wreserved-id-macro"
	#pragma clang diagnostic ignored "-Wused-but-marked-unused"
	#pragma clang diagnostic ignored "-Wimplicit-int-float-conversion"
	#pragma clang diagnostic ignored "-Wextra-semi"
	#pragma clang diagnostic ignored "-Wgnu-anonymous-struct"
	#pragma clang diagnostic ignored "-Wnested-anon-types"
	#pragma clang diagnostic ignored "-Wshadow-field"
	#pragma clang diagnostic ignored "-Wcast-qual"
	#pragma clang diagnostic ignored "-Wweak-vtables"
	#pragma clang diagnostic ignored "-Winconsistent-missing-destructor-override"
	#pragma clang diagnostic ignored "-Wformat-nonliteral"
	#pragma clang diagnostic ignored "-Walloca"
	#pragma clang diagnostic ignored "-Wanon-enum-enum-conversion"

	#if defined(__APPLE__) && __clang_major__ <= 12
		// Old macOS
		#pragma clang diagnostic ignored "-Wdeprecated"
	#else
		// Linux and recent macOS
		#pragma clang diagnostic ignored "-Wdeprecated-copy"
		#pragma clang diagnostic ignored "-Wsuggest-destructor-override"
		#pragma clang diagnostic ignored "-Wsuggest-override"
		#pragma clang diagnostic ignored "-Wdeprecated-declarations"
		#if !defined(__APPLE__) || __clang_major__ > 13
			// Linux and more recent macOS
			#pragma clang diagnostic ignored "-Wreserved-identifier"
		#endif
	#endif
#endif

#include <nanogui/common.h>

#ifndef _WIN32
    #pragma clang diagnostic push
    #pragma clang diagnostic ignored "-Wshadow"
    #pragma clang diagnostic ignored "-Wunused-template"
#endif
#include <nanogui/glutil.h>
#ifndef _WIN32
    #pragma clang diagnostic pop
#endif

#include <nanogui/layout.h>
#include <nanogui/label.h>
#include <nanogui/entypo.h>
#include <nanogui/opengl.h>
#include <nanogui/screen.h>
#include <nanogui/theme.h>
#include <nanogui/textbox.h>
#include <nanogui/window.h>
#include <nanogui/popup.h>
#include <nanogui/button.h>
#include <nanogui/widget.h>
#include <nanogui/checkbox.h>
#include <nanogui/colorwheel.h>
#include <nanogui/popupbutton.h>
#include <nanogui/vscrollpanel.h>
#include <nanogui/serializer/core.h>
#include <nanogui/imageview.h>
#include <nanogui/imagepanel.h>

#ifdef _WIN32
	#pragma warning(pop)
#else
	#pragma clang diagnostic pop
#endif
