// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef UNIX_PLUGINS_LOADER_H
#define UNIX_PLUGINS_LOADER_H

#include "core/interfaces/iplugins_loader.h"

namespace SEAScope
{
	class PluginsLoaderImpl final: public virtual IPluginsLoader
	{
		public:
			PluginsLoaderImpl();
			~PluginsLoaderImpl() override;

			bool findPlugins(const std::string&, std::set<std::string>&) override;
			bool loadPlugin(PluginMeta*) override;
			bool releasePlugin(PluginMeta*) override;
			bool getPluginInfo(PluginMeta*) override;
	};
};

#endif
