// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/stdafx.h"
#include "3d/OGL3/shader_list.h"

#include "3d/shader_list.h"

namespace OGL3
{

std::vector<std::string> ShaderList::getShaderList()
{
    const std::vector<std::string> paths = 
    {
		vertex_uv_grid,
		vertex_pos_mvp_tex,
		vertex_pos_mvp,
		fragment_uni_color,
		fragment_tex_col_tex_mask_tex_false_colors,
		fragment_tex_col_tex_mask_tex,
		vertex_polyline_screenspace,
		fragment_polyline_screenspace,
		vertex_raycasting,
		fragment_raycasting,
		fragment_raycasting_picking,
		fragment_mask_picking_color,
		fragment_particle_barb,
		fragment_particle_arrow,
		fragment_color_alpha,
		fragment_white,
		vertex_lonlat_globe_mvp,
		fragment_particle_barb_false_colors,
		fragment_particle_arrow_false_colors,
		fragment_polyline_screenspace_false_colors,
		fragment_polyline_screenspace_raw,
		vertex_polyline_screenspace_attribute,
		vertex_polyline_screenspace_attribute_raw,
		vertex_line_tesselate,
		vertex_screenspace_quad,
		fragment_tex_mask_uni_color,
		fragment_tex_col_tex_mask_tex_rgb,
		fragment_tex_col_tex_mask_tex_rgb_raw,
		fragment_raycasting_raw,
		vertex_particle,
		vertex_physic_uv_streamline,
		vertex_rendering_spherical_uv_streamline,
		vertex_rendering_spherical_uv_streamline_false_colors,
		fragment_tex_col,
		vertex_screenspace_quad_tex,
		vertex_screenspace_quad_dir_tex_instanced,
		fragment_tex_color_alpha,
		vertex_uv_particle,
		vertex_uv_particle_arrows,
		fragment_tex_true_rgba
    };
    
    return paths;
}

} // namespace OGL3
