// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/OGL3/vertex_attrib_divisorGL3.h"

#include "vendors/_glad.h"
#include "3d/OGL3/opengl_error.h"

namespace OGL3
{

VertexAttribDivisorGL3::VertexAttribDivisorGL3(unsigned int index, unsigned int divisor)
    : OGL::VertexAttribDivisor(index, divisor)
{
}

VertexAttribDivisorGL3::~VertexAttribDivisorGL3()
{
}

void VertexAttribDivisorGL3::create(OGL::Context*)
{
}

void VertexAttribDivisorGL3::destroy()
{
}

void VertexAttribDivisorGL3::bind() const
{
    GL_CHECK(glVertexAttribDivisor(this->_index, this->_divisor));
}

void VertexAttribDivisorGL3::unbind() const
{
}

} // namespace OGL

