// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/stdafx.h"
#include "3d/framebuffer.h"

namespace OGL
{

FrameBuffer::FrameBuffer()
: BindableObject{},
  _texture{nullptr},
  _renderBuffer{nullptr},
  _renderTargetCount{1u},
  _colorAttachement{nullptr},
  _useDepth{true},
  _bufferBit{OGL::color_buffer | OGL::depth_buffer},
  _dataType{DataType::none},
  _componentCount{0u}
{
}

FrameBuffer::FrameBuffer(unsigned int renderTargetCount, bool useDepth)
: BindableObject{},
  _texture{nullptr},
  _renderBuffer{nullptr},
  _renderTargetCount{renderTargetCount},
  _colorAttachement{nullptr},
  _useDepth{useDepth},
  _bufferBit{OGL::color_buffer | OGL::depth_buffer},
  _dataType{DataType::none},
  _componentCount{0u}
{
}

FrameBuffer::~FrameBuffer()
{
}

} // namespace OGL
