// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/stdafx.h"
#include "3d/polyline_color.h"

#include "3d/core_objects.h"
#include "3d/renderable.h"
#include "3d/data_rendering_param.h"
#include "3d/program_bind_helper.h"

PolylineColor::PolylineColor()
:   ColorRenderer(),
    _p0(-1),
    _p1(-1),
    _param(nullptr)
{
}

PolylineColor::~PolylineColor()
{
}

void PolylineColor::create(OGL::Context* ctx)
{
    createProgram(ctx, vertex_line_tesselate, fragment_uni_color);

    OGL::Program* p = _program->getProgram();

    _p0 = p->getUniformLocation("p0");
    _p1 = p->getUniformLocation("p1");
}

void PolylineColor::bind(OGL::Context* ctx, const glm::mat4& mvp, DataRenderingParam* param)
{
    ColorRenderer::bind(ctx, mvp, param);

    _param = param;
}

void PolylineColor::draw(OGL::Context* /*ctx*/, Renderable2* /*object*/)
{
	//EditablePolyline* polyline = (EditablePolyline*)object;
	//OGL::Program* p = _program->getProgram();

	//glm::vec4 color;
	//Style& style = polyline->getStyle();

	//if (style.getState() == StyleState::normal && false == style.isHighlighted())
	//{
	//	color = glm::vec4(_param->color, _param->alpha);
	//}
	//else
	//{
	//	color = polyline->getCurrentStyleColor();
	//	color.a = _param->alpha;
	//}

	//_program->getProgram()->setUniform(_colorLoc, color);

	//if (polyline->getPointCount() > 1)
	//{
	//	polyline->bind();

	//	for (unsigned int i = 0; i < polyline->getPointCount() - 1; ++i)
	//	{
	//		p->setUniform(_p0, polyline->getPoint(i));
	//		p->setUniform(_p1, polyline->getPoint(i + 1));

	//		polyline->draw(ctx, glm::mat4(1.f));
	//	}

	//	if (true == polyline->getLoop())
	//	{
	//		p->setUniform(_p0, polyline->getPoint(polyline->getPointCount() - 1));
	//		p->setUniform(_p1, polyline->getPoint(0));

	//		polyline->draw(ctx, glm::mat4(1.f));
	//	}
	//}
}
