// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/stdafx.h"
#include "3d/polyline_picking.h"

#include "3d/core_objects.h"
#include "3d/renderable.h"

PolylinePicking::PolylinePicking()
: PickingImpl{},
  _p0{-1},
  _p1{-1}
{
}

PolylinePicking::~PolylinePicking()
{
}

void PolylinePicking::create(OGL::Context* ctx)
{
    createProgram(ctx, vertex_line_tesselate, fragment_uni_color);

    OGL::Program* p = _program;

    _p0 = p->getUniformLocation("p0");
    _p1 = p->getUniformLocation("p1");
}

void PolylinePicking::bind(OGL::Context* ctx, const glm::mat4& mvp, const DataRenderingParam* param)
{
    PickingImpl::bind(ctx, mvp, param);
}

void PolylinePicking::draw(OGL::Context* /*ctx*/, Renderable2* /*object*/)
{
    //EditablePolyline* polyline = (EditablePolyline*)object;
    //OGL::Program* p = _program;

    //if (polyline->getPointCount() > 1)
    //{
    //    polyline->bind(); 

    //    for (unsigned int i = 0; i < polyline->getPointCount()-1; ++i)
    //    {
    //        p->setUniform(_p0, polyline->getPoint(i));
    //        p->setUniform(_p1, polyline->getPoint(i+1));
    //         
    //        Pickable* pickable = (Pickable*)object;
    //        p->setUniform(_color, glm::vec4(pickable->pickingColor(), 1.f));

    //        polyline->draw(ctx, glm::mat4(1.f));
    //    }
    //}
}
