// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/stdafx.h"
#include "3d/ppm_reader.h"
#include "data/image.h"
#include "3d/ppm.h"

PPMReader::PPMReader()
{
}

PPMReader::~PPMReader()
{
}

bool PPMReader::readAll(const std::string& path, Image& img)
{
    int width, height;
    unsigned char* pixels = nullptr;

    bool ret = loadPPM(path.c_str(), width, height, pixels);

    if
        (true == ret)
    {
        img.allocate(static_cast<unsigned int>(width), static_cast<unsigned int>(height), 3, DataType::unsigned_byte, pixels);
        free(pixels);
    }

    return ret;
}
