// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "3d/renderable.h"

Renderable2::~Renderable2()
{
}

Renderable2::Renderable2() : _visible{ true }
{
}

Renderable2::Renderable2(const SEAScope::RenderableId& rId) 
:   _visible{ true }, 
    _rId{ rId }
{
}

Renderable2::Renderable2(const Renderable2& src) 
 :  _visible{ src._visible }, 
    _rId{ src._rId }, 
    _flags{ src._flags }
{
}

void Renderable2::setFlag(RenderableFlags flag, bool status)
{
    this->_flags[flag] = status;
}
