// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   texture.cpp
 * Author: gleseach
 * 
 * Created on 3 septembre 2015, 10:54
 */

#include "3d/stdafx.h"
#include "3d/texture.h"

namespace OGL
{

Texture::Texture(OGL::TextureType /*typeIn*/)
: BindableObject(), gl_type{0u}, gl_binding{0u}, gl_dataType{0u},
  gl_format{0u}, gl_internal_format{0u}, type{TextureType::TextureTypeCount},
  _channels{0}, _dataType{DataType::none}, _width{0u}, _height{0u},
  _wrap{OGL::WrapMode::WrapModeCount},
  _minFilter{OGL::FilterMode::FilterModeCount},
  _magFilter{OGL::FilterMode::FilterModeCount}
{
}

Texture::~Texture()
{
}

} // namespace GL
