// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "core/action_id.h"

using namespace SEAScope;

/**
 *
 */
ActionId::ActionId(const ActorId& actorId, const ActionType& actionType)
: _actorId(actorId), _actionType(actionType)
{

}

/**
 *
 */
ActionId::ActionId(const ActionId& src)
: _actorId(src._actorId), _actionType(src._actionType)
{

}

/**
 *
 */
ActionId::~ActionId()
{

}

/**
 *
 */
bool ActionId::operator==(const ActionId& other) const
{
    return (  (this->_actorId == other._actorId)
           && (this->_actionType == other._actionType));
}

/**
 *
 */
const ActorId& ActionId::getActorId() const
{
    return this->_actorId;
}

/**
 *
 */
const ActionType& ActionId::getActionType() const
{
    return this->_actionType;
}
