// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include <ctime>
#include "core/job.h"

using namespace SEAScope;

/**
 *
 */
Job::Job(): task(nullptr), name(""), beginDatetime(0), endDatetime(0), status(JobStatus::CREATED)
{
};

/**
 *
 */
Job::~Job()
{
};

/**
 *
 */
void Job::start()
{
	std::time_t now;	//

	now = std::time(nullptr);
	this->beginDatetime = static_cast<timestamp_t>(now);
	this->status = JobStatus::RUNNING;
};

/**
 *
 */
void Job::cancel()
{
	std::time_t now;	//

	now = std::time(nullptr);
	this->endDatetime = static_cast<timestamp_t>(now);
	this->status = JobStatus::CANCELLED;
};

/**
 *
 */
void Job::done()
{
	std::time_t now;	//

	now = std::time(nullptr);
	this->endDatetime = static_cast<timestamp_t>(now);
	this->status = JobStatus::COMPLETE;
}

DataLoadingJob::~DataLoadingJob()
{
}
