// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "events/collection_registration_request.h"

using namespace SEAScope;

CollectionRegistrationRequest::CollectionRegistrationRequest(const CollectionId& collectionId, const CollectionCfg& collectionCfg, const std::vector<RenderingCfg*>& collectionRenderingCfgs)
: _collectionId(collectionId), _collectionCfg(collectionCfg), _collectionRenderingCfgs(collectionRenderingCfgs)
{

}

CollectionRegistrationRequest::~CollectionRegistrationRequest()
{
    this->_collectionRenderingCfgs.clear();
}

const CollectionId& CollectionRegistrationRequest::getCollectionId() const
{
    return this->_collectionId;
}

const CollectionCfg& CollectionRegistrationRequest::getCollectionCfg() const
{
    return this->_collectionCfg;
}

const std::vector<RenderingCfg*>& CollectionRegistrationRequest::getCollectionRenderingCfgs() const
{
    return this->_collectionRenderingCfgs;
}
