// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "events/create_annotations_collection_request.h"

using namespace SEAScope;

/**
 *
 */
CreateAnnotationsCollectionRequest::CreateAnnotationsCollectionRequest(ShapeType shapeType, const std::string& collectionLabel, const std::string& variableLabel, bool persist)
: _type(shapeType), _collectionLabel(collectionLabel), _variableLabel(variableLabel), _persist(persist)
{

}

/**
 *
 */
CreateAnnotationsCollectionRequest::~CreateAnnotationsCollectionRequest()
{

}

const ShapeType& CreateAnnotationsCollectionRequest::getAnnotationsType() const
{
    return this->_type;
}

const std::string& CreateAnnotationsCollectionRequest::getCollectionLabel() const
{
    return this->_collectionLabel;
}

const std::string& CreateAnnotationsCollectionRequest::getVariableLabel() const
{
    return this->_variableLabel;
}

bool CreateAnnotationsCollectionRequest::getPersist() const
{
    return this->_persist;
}
