// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "ui/nanogui/nanogui_num_label.h"

using namespace SEAScope;

/**
 *
 */
NanoguiNumLabel::NanoguiNumLabel(nanogui::Widget* parent): nanogui::Label(parent, "")
{
};

/**
 *
 */
NanoguiNumLabel::~NanoguiNumLabel()
{
};

/**
 *
 */
bool NanoguiNumLabel::scrollEvent(const Eigen::Vector2i& p, const Eigen::Vector2f& rel)
{
	bool ok;	//
	ok = nanogui::Label::scrollEvent(p, rel);
	if
		(nullptr != this->numCallback)
	{
		this->numCallback(rel);
		return true;
	}
	return ok;
};

/**
 *
 */
void NanoguiNumLabel::draw(NVGcontext* ctx)
{
    float posX; //
    float posY; //
    float sizeX;    //
    float sizeY;    //

    posX = static_cast<float>(this->mPos.x());
    posY = static_cast<float>(this->mPos.y());
    sizeX = static_cast<float>(this->mSize.x());
    sizeY = static_cast<float>(this->mSize.y());

	nanogui::Label::draw(ctx);
	if
		(this->mMouseFocus)
	{
		nvgBeginPath(ctx);
		nvgRoundedRect( ctx
					  , posX, posY
					  , sizeX, sizeY
					  , 3);
		nvgStrokeColor(ctx, nanogui::Color(255, 215, 30, 200));
		nvgStroke(ctx);
	}
};
