// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "platform/guid_impl.h"

#include <windows.h>
#include <guiddef.h>
#include <rpcdcep.h>

using namespace SEAScope;

/**
 *
 */
GUIDImpl::GUIDImpl()
{
};

/**
 *
 */
GUIDImpl::~GUIDImpl()
{
};

/**
 *
 */
bool GUIDImpl::generate(std::string& result)
{
	UUID guid{};

	UuidCreate(&guid);

	RPC_CSTR str = nullptr;

	if (RPC_S_OK == UuidToStringA(&guid, &str))
	{
		result = (char*)str;
		RpcStringFreeA(&str);

		return true;
	}

	return false;
};
