// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef DATASTREAM_PLUGIN_H
#define DATASTREAM_PLUGIN_H

#include "core/interfaces/idatastream_service_connector.h"
#include "platform.h"

extern "C"
{
  #if defined __linux__ || defined __APPLE__
	SEAScope::IDatastreamServiceConnector* createPlugin();
    bool destroyPlugin(SEAScope::IDatastreamServiceConnector* datastream);
	const char* pluginName();
	const char* pluginDescription();
	const char* pluginVersion();
	const char* pluginAPI();
  #elif _WIN32
	DllExport SEAScope::IDatastreamServiceConnector* __cdecl createPlugin();
    DllExport bool __cdecl destroyPlugin(SEAScope::IDatastreamServiceConnector* datastream);
	DllExport const char* __cdecl pluginName();
	DllExport const char* __cdecl pluginDescription();
	DllExport const char* __cdecl pluginVersion();
	DllExport const char* __cdecl pluginAPI();
  #endif
}

#endif
